Start a material generation operation
Start a material generation operation.
curl --request POST \
--url https://api.mint.gg/v1/materials:generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"name": "<string>",
"generationPreset": "standard",
"imageUrl": "<string>",
"mode": "generate"
}
'import requests
url = "https://api.mint.gg/v1/materials:generate"
payload = {
"prompt": "<string>",
"name": "<string>",
"generationPreset": "standard",
"imageUrl": "<string>",
"mode": "generate"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
name: '<string>',
generationPreset: 'standard',
imageUrl: '<string>',
mode: 'generate'
})
};
fetch('https://api.mint.gg/v1/materials:generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "operation",
"id": "op_01JEXAMPLE",
"type": "material_generation",
"generationMode": "auto",
"status": "running",
"resource": {
"type": "material",
"id": "material_01JEXAMPLE"
},
"createdAt": "2026-07-21T20:00:00.000Z",
"updatedAt": "2026-07-21T20:00:01.000Z"
}{
"object": "operation",
"id": "op_01JEXAMPLE",
"type": "material_generation",
"generationMode": "auto",
"status": "running",
"resource": {
"type": "material",
"id": "material_01JEXAMPLE"
},
"createdAt": "2026-07-21T20:00:00.000Z",
"updatedAt": "2026-07-21T20:00:01.000Z"
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}Authorizations
Mint API key sent as a Bearer token.
Headers
Optional stable key for safely retrying an uncertain mutating request. Mint creates an internal key when this header is omitted. Reusing a supplied key with different parameters returns 409.
1 - 255Body
Instructions for creating one Material.
Describe the surface and texture maps Mint should create.
1 - 8000Optional Material title shown in Mint; Mint derives one from the prompt when omitted.
1 - 120Quality, speed, and cost tier for Material generation.
fast, standard, production Optional public HTTPS image used as the Material source.
How Mint should create or derive the Material maps.
generate, image_to_maps, extract Response
An earlier request with the same retry key returned this operation.
A long-running operation acting on one Mint material.
Stable object discriminator.
"operation"Mint operation ID used for polling.
The work this operation performs.
material_generation Workflow mode for this operation.
auto, review Current operation lifecycle status.
queued, running, preview_ready, billing_required, succeeded, partially_succeeded, failed, canceled The Mint asset created by this operation, or null before the asset exists.
Show child attributes
Show child attributes
When the operation was created.
When the operation last changed.
Developer-supplied generation brief or revision feedback.
Public generation preset selected for this operation.
fast, standard, production The billing action required before this operation can continue.
Show child attributes
Show child attributes
Credit estimate, active reservation, finalized charge, and post-reservation balance for this operation.
Show child attributes
Show child attributes
Terminal failure details when the operation failed.
Show child attributes
Show child attributes
When the operation completed.
When the operation was canceled.
